﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Windows.Controls.Primitives;
using System.ComponentModel;
using System.Threading;

namespace DynamicInitializationScreen
{
    public partial class MainPage : PhoneApplicationPage
    {
        #region 变量

        private BackgroundWorker m_backgroundWorker = new BackgroundWorker();

        private Popup m_popup = null;

        #endregion

        #region 构造函数

        public MainPage()
        {
            InitializeComponent();
            m_popup = new Popup { IsOpen = true, Child = new DynamicScreen() };
            RunBackgroundWorker();
        }

        #endregion

        #region 实例方法

        private void RunBackgroundWorker()
        {
            m_backgroundWorker.DoWork += (s, e) => Thread.Sleep(5000);
            m_backgroundWorker.RunWorkerCompleted +=
                (s, e) => Dispatcher.BeginInvoke(() => m_popup.IsOpen = false);
            m_backgroundWorker.RunWorkerAsync();
        }

        #endregion

        #region 事件
        #endregion
    }
}